Skip to main content

Get Profile Schema

Get details of a specified profile schema

Gets details of a specified profile schema, including field definitions and configuration information.

Method and endpoint

GET https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas/{profile_schema_id}

Request parameters

ParameterTypeRequiredLocationDescription
profile_schema_idstringYesPathProfile schema ID
memory_library_idstringNoQueryMemory library ID

Response

FieldTypeDescription
request_idstringRequest ID
namestringProfile schema name
descriptionstringProfile schema description
plan_versionstringBilling plan
extract_scenestringExtraction mode
attributesarrayList of profile attributes
attributes[].attribute_idstringAttribute ID
attributes[].namestringAttribute name
attributes[].descriptionstringAttribute description

Code examples

cURL
curl -X GET "https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas/{profile_schema_id}" \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --header "Content-Type: application/json"

Response example

{
  "attributes": [
    {"attribute_id": "04eb06f5f04a437b82d07ceb088103f9", "description": "The user's interests and hobbies", "name": "Hobbies"},
    {"attribute_id": "2eff4652a6bc47b0803635033b1e08dd", "description": "The user's occupation", "name": "Occupation"},
    {"attribute_id": "bb28e6cd522443fc9bf7e75b1377bf9d", "description": "The user's age", "name": "Age"}
  ],
  "description": "User information including age and interests",
  "extract_scene": "efficient",
  "name": "Basic user profile",
  "plan_version": "pro",
  "request_id": "5eb49009-6782-95f4-85da-c5f20d288d9a"
}
To update a schema, use UpdateProfileSchema.
Managed Agent API
Flow Agent API
Sandbox API
RAG API
ParseX API
Security API
Framework Integration